<?php
/**
 * Helper for mod_uniplace_installer
 * 
 * @package     Uniplace php-client installer
 *
 * @copyright
 * @license
 */

defined('_JEXEC') or die;


abstract class ModUniplaceInstallerHelper
{
	
	/**
	 * получим доступные ссылки
	 * сюда перенесен, с небольшими изменениями, код показа ссылок
	 * добавлена обработка подключения:
	 * не упадет в Fatal Error при отсутствии папки/файлов
	 * 
	 * @return array
	 */
	public static function getLinks()
	{
		@include_once(JPATH_ROOT . "/uniplacer_config.php");
		@include_once(JPATH_ROOT . "/" . _UNIPLACE_USER_ . "/uniplacer.php"); 

		$res = array();
		
		if (class_exists('Uniplacer') && defined('_UNIPLACE_USER_'))
		{
			$Uniplacer = new Uniplacer(_UNIPLACE_USER_);
			$res[] = $Uniplacer->GetCode(true);
			$links = $Uniplacer->GetLinks();
			
			if ($links)
			{
				foreach ($links as $link)
				{
					$res[] =  $link;
				}
			}
		}
		
		return $res;
	}
	
}

